Bug 471826 - SELinux is preventing gtk-gnash (nsplugin_t) "getattr" to /var/run/pcscd.pub (pcscd_var_run_t).
SELinux is preventing gtk-gnash (nsplugin_t) "getattr" to /var/run/pcscd.pub ...
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: nspluginwrapper (Show other bugs)
10
All Linux
medium Severity medium
: ---
: ---
Assigned To: Martin Stransky
Fedora Extras Quality Assurance
: SELinux
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-11-16 20:16 EST by Jerry Amundson
Modified: 2009-11-18 23:29 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-11-18 23:29:58 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jerry Amundson 2008-11-16 20:16:43 EST
Description of problem:
SELinux is preventing gtk-gnash (nsplugin_t) "getattr" to /var/run/pcscd.pub (pcscd_var_run_t). 

Version-Release number of selected component (if applicable):
selinux-policy-3.5.13-18.fc10.noarch

How reproducible:
Once.

Steps to Reproduce:
1. Install gnash-mozilla
2. Run firefox
3. Surf to site using flash
  
Actual results:
avc denial

Expected results:
no denial

Additional info:

Summary:

SELinux is preventing gtk-gnash (nsplugin_t) "getattr" to /var/run/pcscd.pub
(pcscd_var_run_t).

Detailed Description:

SELinux denied access requested by gtk-gnash. It is not expected that this
access is required by gtk-gnash and this access may signal an intrusion attempt.
It is also possible that the specific version or configuration of the
application is causing it to require additional access.

Allowing Access:

Sometimes labeling problems can cause SELinux denials. You could try to restore
the default system file context for /var/run/pcscd.pub,

restorecon -v '/var/run/pcscd.pub'

If this does not work, there is currently no automatic way to allow this access.
Instead, you can generate a local policy module to allow this access - see FAQ
(http://fedora.redhat.com/docs/selinux-faq-fc5/#id2961385) Or you can disable
SELinux protection altogether. Disabling SELinux protection is not recommended.
Please file a bug report (http://bugzilla.redhat.com/bugzilla/enter_bug.cgi)
against this package.

Additional Information:

Source Context                unconfined_u:unconfined_r:nsplugin_t:s0
Target Context                system_u:object_r:pcscd_var_run_t:s0
Target Objects                /var/run/pcscd.pub [ file ]
Source                        gtk-gnash
Source Path                   /usr/bin/gtk-gnash
Port                          <Unknown>
Host                          walnut
Source RPM Packages           gnash-0.8.4-3.fc10
Target RPM Packages           
Policy RPM                    selinux-policy-3.5.13-18.fc10
Selinux Enabled               True
Policy Type                   targeted
MLS Enabled                   True
Enforcing Mode                Enforcing
Plugin Name                   catchall_file
Host Name                     walnut
Platform                      Linux walnut 2.6.27.5-109.fc10.i686 #1 SMP Thu Nov
                              13 21:01:50 EST 2008 i686 i686
Alert Count                   1
First Seen                    Sun 16 Nov 2008 07:11:00 PM CST
Last Seen                     Sun 16 Nov 2008 07:11:00 PM CST
Local ID                      d2b8b1d1-e77f-4cfe-bfa8-6224cba0df5c
Line Numbers                  

Raw Audit Messages            

node=walnut type=AVC msg=audit(1226884260.352:198): avc:  denied  { getattr } for  pid=14066 comm="gtk-gnash" path="/var/run/pcscd.pub" dev=dm-0 ino=333292 scontext=unconfined_u:unconfined_r:nsplugin_t:s0 tcontext=system_u:object_r:pcscd_var_run_t:s0 tclass=file

node=walnut type=SYSCALL msg=audit(1226884260.352:198): arch=40000003 syscall=195 success=no exit=-13 a0=184f51 a1=bfb7aa04 a2=5f1ff4 a3=8ab5e90 items=0 ppid=14063 pid=14066 auid=500 uid=500 gid=500 euid=500 suid=500 fsuid=500 egid=500 sgid=500 fsgid=500 tty=(none) ses=1 comm="gtk-gnash" exe="/usr/bin/gtk-gnash" subj=unconfined_u:unconfined_r:nsplugin_t:s0 key=(null)
Comment 1 Daniel Walsh 2008-11-17 15:31:03 EST
The library should be closing all open file descriptors on exec from firefox, this would allow us to get a handle on what the plugin is actually trying to do.
Comment 2 Bug Zapper 2008-11-26 00:30:00 EST
This bug appears to have been reported against 'rawhide' during the Fedora 10 development cycle.
Changing version to '10'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Daniel Walsh 2009-02-18 10:11:12 EST
When the library opens /var/run/pcscd.pub it should execute 

fcntl(fd, F_SETFD, FD_CLOEXEC)
Comment 4 Bug Zapper 2009-11-18 03:52:47 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Note You need to log in before you can comment on or make changes to this bug.